Debian Bug report logs - #155000
diffstat gets confused on funny lines...

version graph

Package: diffstat; Maintainer for diffstat is Sandro Tosi <morph@debian.org>; Source for diffstat is src:diffstat.

Reported by: "Jorgen Schaefer" <forcer@debian.org>

Date: Wed, 31 Jul 2002 18:48:00 UTC

Severity: normal

Found in version 1.28-1

Fixed in version diffstat/1.32-1

Done: Greg Norris <adric@debian.org>

Bug is archived. No further changes may be made.

Forwarded to dickey@invisible-island.net

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, scott@debian.org (Scott K. Ellis), diffstat@packages.qa.debian.org:
Bug#155000; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to "Jorgen Schaefer" <forcer@debian.org>:
New Bug report received and forwarded. Copy sent to scott@debian.org (Scott K. Ellis), diffstat@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Jorgen Schaefer" <forcer@debian.org>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: diffstat gets confused on funny lines...
Date: Wed, 31 Jul 2002 20:36:33 +0200
Package: diffstat
Version: 1.28-1
Severity: normal

Removing a line starting with two -- gets diffstat confused.
The line of diff -urN looks like this:

--- ALWAYS!</b>:

diffstat now thinks this is a new file, and outputs:
 
 ALWAYS!</b>:      |11399 +++++++++++++++++++++++++++++----------------
 
Greetings,
	-- Jorgen

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux forcix 2.4.14 #5 Tue Nov 6 23:04:54 CET 2001 i686
Locale: LANG=C, LC_CTYPE=de_DE

Versions of packages diffstat depends on:
ii  libc6                         2.2.5-12   GNU C Library: Shared libraries an

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, diffstat@packages.qa.debian.org:
Bug#155000; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Greg Norris <adric@debian.org>:
Extra info received and forwarded to list. Copy sent to diffstat@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 155000@bugs.debian.org (full text, mbox):

From: Greg Norris <adric@debian.org>
To: Jorgen Schaefer <forcer@debian.org>
Cc: 155000@bugs.debian.org
Subject: Re: Bug#155000: diffstat gets confused on funny lines...
Date: Tue, 22 Oct 2002 17:41:00 -0500
[Message part 1 (text/plain, inline)]
I uploaded version 1.31-1 last night, which I believe squashes this
bug... I can't seem to reproduce it now, at least.  Please give it a
try, and let me know whether or not it works for you.

Thanx!
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>, diffstat@packages.qa.debian.org:
Bug#155000; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Jorgen Schaefer <forcer@debian.org>:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>, diffstat@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 155000@bugs.debian.org (full text, mbox):

From: Jorgen Schaefer <forcer@debian.org>
To: 155000@bugs.debian.org
Subject: Re: Bug#155000: diffstat gets confused on funny lines...
Date: 23 Oct 2002 17:44:52 +0200
Greg Norris <adric@debian.org> writes:

> I uploaded version 1.31-1 last night, which I believe squashes this
> bug... I can't seem to reproduce it now, at least.  Please give it a
> try, and let me know whether or not it works for you.

The same bug - I sent a long file that shows the buggy behavior in
a private mail.

<0>forcer@forcix[3]:~$ zcat diffstat-bug.diff.gz | diffstat
 9.7/secH6.html | 3275 ----------------
 ALWAYS!</b>:   |11399 ++++++++++++++++++++++++++++++++++++--------------------- 2 files
changed, 7337 insertions(+), 7337 deletions(-)

Greetings,
        -- Jorgen

-- 
Jorgen Schaefer
Debian GNU/Linux Developer
forcer@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>, diffstat@packages.qa.debian.org:
Bug#155000; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Greg Norris <haphazard@kc.rr.com>:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>, diffstat@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 155000@bugs.debian.org (full text, mbox):

From: Greg Norris <haphazard@kc.rr.com>
To: Jorgen Schaefer <forcer@debian.org>, 155000@bugs.debian.org
Subject: Re: Bug#155000: diffstat gets confused on funny lines...
Date: Thu, 24 Oct 2002 17:05:59 -0500
[Message part 1 (text/plain, inline)]
Thanx.  I'll look into it.

On Wed, Oct 23, 2002 at 05:44:52PM +0200, Jorgen Schaefer wrote:
> Greg Norris <adric@debian.org> writes:
> 
> > I uploaded version 1.31-1 last night, which I believe squashes this
> > bug... I can't seem to reproduce it now, at least.  Please give it a
> > try, and let me know whether or not it works for you.
> 
> The same bug - I sent a long file that shows the buggy behavior in
> a private mail.
> 
> <0>forcer@forcix[3]:~$ zcat diffstat-bug.diff.gz | diffstat
>  9.7/secH6.html | 3275 ----------------
>  ALWAYS!</b>:   |11399 ++++++++++++++++++++++++++++++++++++--------------------- 2 files
> changed, 7337 insertions(+), 7337 deletions(-)
> 
> Greetings,
>         -- Jorgen
> 
> -- 
> Jorgen Schaefer
> Debian GNU/Linux Developer
> forcer@debian.org
> 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>, diffstat@packages.qa.debian.org:
Bug#155000; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Richard Braakman <dark@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>, diffstat@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 155000@bugs.debian.org (full text, mbox):

From: Richard Braakman <dark@xs4all.nl>
To: 155000@bugs.debian.org
Subject: Simple test case
Date: Wed, 27 Nov 2002 17:48:33 +0200
Here's a short diff that demonstrates the bug:


diff -urN tst/foo tst.new/foo
--- tst/foo	2002-11-27 17:21:54.000000000 +0200
+++ tst.new/foo	2002-11-27 17:22:00.000000000 +0200
@@ -1,3 +1,2 @@
 lalala
--- ALWAYS!</b>:
 foobar


diffstat's output for this file is:
 b>: |    0
 1 files changed

while it should say:
 foo |    1 -
 1 files changed, 1 deletion(-)

Fixing diffstat is going to be difficult, because currently diffstat
does not count the lines in a hunk -- it just scans for the marker
lines.

Richard Braakman



Information forwarded to debian-bugs-dist@lists.debian.org, diffstat@packages.qa.debian.org:
Bug#155000; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Greg Norris <adric@debian.org>:
Extra info received and forwarded to list. Copy sent to diffstat@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 155000@bugs.debian.org (full text, mbox):

From: Greg Norris <adric@debian.org>
To: "Thomas E. Dickey" <dickey@invisible-island.net>
Cc: 155000@bugs.debian.org
Subject: diffstat bug on lines beginning with "--"
Date: Thu, 2 Jan 2003 20:53:17 -0600
[Message part 1 (text/plain, inline)]
Hello again!

Jorgen Schaefer <forcer@debian.org> has reported that diffstat has
problems with lines that begin with "--"... the nitty-gritty is
available from <http://bugs.debian.org/155000>.  I'm not sure how
easy/feasible this is to address, but for whatever it's worth I've
attached a small diff which reproduces the problem.

Please CC 155000@bugs.debian.org on any correspondence regarding this,
so Debian's BTS can accurately reflect the status.


Just FYI, I'll be out of the country without a computer or online
access from tomorrow evening through the 13th.  If there's anything you
want me to check, I'll look into it as soon as I return.  Feel free to
post inquiries to the BTS, of course.

Cheers!
[diffstat-bug.diff.gz (application/octet-stream, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to dickey@invisible-island.net. Request was from Greg Norris <haphazard@kc.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>, diffstat@packages.qa.debian.org:
Bug#155000; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>, diffstat@packages.qa.debian.org. Full text and rfc822 format available.

Message #37 received at 155000@bugs.debian.org (full text, mbox):

From: "Thomas E. Dickey" <dickey@herndon4.his.com>
To: Greg Norris <adric@debian.org>
Cc: "Thomas E. Dickey" <dickey@invisible-island.net>, 155000@bugs.debian.org
Subject: Re: diffstat bug on lines beginning with "--"
Date: Fri, 3 Jan 2003 06:30:43 -0500 (EST)
On Thu, 2 Jan 2003, Greg Norris wrote:

> Hello again!
>
> Jorgen Schaefer <forcer@debian.org> has reported that diffstat has
> problems with lines that begin with "--"... the nitty-gritty is
> available from <http://bugs.debian.org/155000>.  I'm not sure how
> easy/feasible this is to address, but for whatever it's worth I've
> attached a small diff which reproduces the problem.

That might be related to another report I got a few weeks ago (will see).
I've been bogged down in lynx recently, and haven't gotten to it yet.

> Please CC 155000@bugs.debian.org on any correspondence regarding this,
> so Debian's BTS can accurately reflect the status.
>
>
> Just FYI, I'll be out of the country without a computer or online
> access from tomorrow evening through the 13th.  If there's anything you
> want me to check, I'll look into it as soon as I return.  Feel free to
> post inquiries to the BTS, of course.
>
> Cheers!
>

-- 
T.E.Dickey <dickey@herndon4.his.com>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>, diffstat@packages.qa.debian.org:
Bug#155000; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>, diffstat@packages.qa.debian.org. Full text and rfc822 format available.

Message #42 received at 155000@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Greg Norris <adric@debian.org>
Cc: "Thomas E. Dickey" <dickey@invisible-island.net>, 155000@bugs.debian.org
Subject: Re: diffstat bug on lines beginning with "--"
Date: Sat, 4 Jan 2003 21:04:23 -0500
On Thu, Jan 02, 2003 at 08:53:17PM -0600, Greg Norris wrote:
> Hello again!
> 
> Jorgen Schaefer <forcer@debian.org> has reported that diffstat has
> problems with lines that begin with "--"... the nitty-gritty is
> available from <http://bugs.debian.org/155000>.  I'm not sure how
> easy/feasible this is to address, but for whatever it's worth I've
> attached a small diff which reproduces the problem.

This wasn't that hard to fix (relatively simple code, about an hour).
I spent the day and cleaned out my to-do list for diffstat - changes to
accommodate a newer version of makepatch used most of the time spent.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, diffstat@packages.qa.debian.org:
Bug#155000; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Greg Norris <adric@debian.org>:
Extra info received and forwarded to list. Copy sent to diffstat@packages.qa.debian.org. Full text and rfc822 format available.

Message #47 received at 155000@bugs.debian.org (full text, mbox):

From: Greg Norris <adric@debian.org>
To: dickey@herndon4.his.com, 155000@bugs.debian.org
Subject: Re: Bug#155000: diffstat bug on lines beginning with "--"
Date: Mon, 13 Jan 2003 18:12:47 -0600
[Message part 1 (text/plain, inline)]
The new version seems to be working fine for me, so I'll be uploading
it to the Debian archives shortly.  Thanx!!!

On Sat, Jan 04, 2003 at 09:04:23PM -0500, Thomas Dickey wrote:
> This wasn't that hard to fix (relatively simple code, about an hour).
> I spent the day and cleaned out my to-do list for diffstat - changes to
> accommodate a newer version of makepatch used most of the time spent.
> 
> -- 
> Thomas E. Dickey <dickey@invisible-island.net>
> http://invisible-island.net
> ftp://invisible-island.net
> 
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Greg Norris <adric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Jorgen Schaefer" <forcer@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 155000-close@bugs.debian.org (full text, mbox):

From: Greg Norris <adric@debian.org>
To: 155000-close@bugs.debian.org
Subject: Bug#155000: fixed in diffstat 1.32-1
Date: Mon, 13 Jan 2003 19:17:30 -0500
We believe that the bug you reported is fixed in the latest version of
diffstat, which is due to be installed in the Debian FTP archive:

diffstat_1.32-1.diff.gz
  to pool/main/d/diffstat/diffstat_1.32-1.diff.gz
diffstat_1.32-1.dsc
  to pool/main/d/diffstat/diffstat_1.32-1.dsc
diffstat_1.32-1_i386.deb
  to pool/main/d/diffstat/diffstat_1.32-1_i386.deb
diffstat_1.32.orig.tar.gz
  to pool/main/d/diffstat/diffstat_1.32.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 155000@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Greg Norris <adric@debian.org> (supplier of updated diffstat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 13 Jan 2003 17:01:38 -0600
Source: diffstat
Binary: diffstat
Architecture: source i386
Version: 1.32-1
Distribution: unstable
Urgency: low
Maintainer: Greg Norris <adric@debian.org>
Changed-By: Greg Norris <adric@debian.org>
Description: 
 diffstat   - produces graph of changes introduced by a diff file
Closes: 155000
Changes: 
 diffstat (1.32-1) unstable; urgency=low
 .
   * New upstream release.
     - Deleting lines beginning with "--" should no longer confuse diffstat.
       (closes: #155000)
     - Upstream has opted to make diffstat quiet by default, and added the "-v"
       option to specificy verbose output.  The "-q" option (see bug#170947)
       has therefore been removed.
Files: 
 f3df5d8ce365c101017169f094f6109e 558 devel optional diffstat_1.32-1.dsc
 ac09aeae7b01a03c11ef468d882f1aac 56016 devel optional diffstat_1.32.orig.tar.gz
 e73956042e8fd05756f40622a0704018 3070 devel optional diffstat_1.32-1.diff.gz
 ef1ecaf55a834a70f00af4da6caaf170 14122 devel optional diffstat_1.32-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+I1NQgrEMyr8Cx2YRAnlzAJwP5vCOaqU4SfDrO2S0G6G0YH31SwCfXcZh
TWqnrbSv89/+Hu7qw+xvlio=
=ctiq
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:55:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.